Name:      sile
Version:   0.14.7
Release:   1%{?dist}
Summary:   The SILE Typesetter
License:   MIT
URL:       https://sile-typesetter.org/
Source:    https://github.com/sile-typesetter/sile/releases/download/v%{version}/sile-%{version}.tar.xz

BuildRequires: lua-devel
BuildRequires: gcc
BuildRequires: automake
BuildRequires: libtool
BuildRequires: make
BuildRequires: git
BuildRequires: harfbuzz-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: lua-rpm-macros lua-srpm-macros

BuildRequires: lua-cassowary
BuildRequires: lua-cldr
BuildRequires: lua-cliargs
BuildRequires: lua-cosmo
BuildRequires: lua-expat
BuildRequires: lua-filesystem
BuildRequires: lua-fluent
BuildRequires: lua-linenoise
BuildRequires: lua-loadkit
BuildRequires: lua-lpeg
BuildRequires: lua-luarepl
BuildRequires: lua-penlight
BuildRequires: lua-sec
BuildRequires: lua-socket
BuildRequires: lua-utf8
BuildRequires: lua-vstruct
BuildRequires: lua-zlib

BuildRequires: font(gentiumplus)

Requires: lua-cassowary
Requires: lua-cldr
Requires: lua-cliargs
Requires: lua-cosmo
Requires: lua-expat
Requires: lua-filesystem
Requires: lua-fluent
Requires: lua-linenoise
Requires: lua-loadkit
Requires: lua-lpeg
Requires: lua-luarepl
Requires: lua-penlight
Requires: lua-sec
Requires: lua-socket
Requires: lua-utf8
Requires: lua-vstruct
Requires: lua-zlib

Recommends: font(gentiumplus)
Suggests:   font(libertinusmath)
Suggests:   font(libertinussans)
Suggests:   font(libertinusserif)
Suggests:   font(hack)

Provides: bundled(lua-lunamark) 

%description
SILE is a typesetting system; its job is to produce beautiful printed documents.
Conceptually, SILE is similar to TeX—from which it borrows some concepts and
even syntax and algorithms—but the similarities end there.
Rather than being a derivative of the TeX family SILE is a new typesetting and
layout engine written from the ground up using modern technologies and borrowing
some ideas from graphical systems such as InDesign.

%package -n libtexpdf
Summary: bundled with SILE
License: GPL-2.0-or-later

%description -n libtexpdf
libtexpdf that is bundled with SILE.

%package -n libtexpdf-devel
Summary:  Development files for libtexpdf
License:  GPL-2.0-or-later
Requires: libtexpdf = %{version}

%description -n libtexpdf-devel
Devel files for libtexpdf that is bundled with SILE.

%prep
%autosetup


%build
%configure --disable-static --with-system-luarocks
%make_build all

%install
%make_install

%check
echo -n '\document{foo}' | ./sile - -o foo.pdf

%files
%license LICENSE
%license lua-libraries/LICENSE-lunamark

%doc README.md
%doc CHANGELOG.md
%{_bindir}/sile
%{_datadir}/sile
%{_libdir}/sile
%{_mandir}/man1/sile.1*

%files -n libtexpdf
%doc libtexpdf/README.md
%{_libdir}/libtexpdf.so.0*

%files -n libtexpdf-devel
%doc libtexpdf/README.md
%{_includedir}/libtexpdf
%{_libdir}/libtexpdf.so

%changelog
* Tue Jan 03 2023 Jonny Heggheim <hegjon@gmail.com> - 0.14.7-1
- Updated to version 0.14.7

* Thu Dec 15 2022 Jonny Heggheim <hegjon@gmail.com> - 0.14.6-1
- Updated to version 0.14.6

* Sun Nov 20 2022 Jonny Heggheim <hegjon@gmail.com> - 0.14.5-1
- Updated to version 0.14.5

* Wed Nov 16 2022 Jonny Heggheim <hegjon@gmail.com> - 0.14.4-1
- Initial package
